 function fncMatricula(){
       var docu=document.formRevision;
		urlIframe="m05bReviFrameJsp.jsp?Matricula="+docu.Matricula.value;
		var objIframe = window.frames['cargar'];
		objIframe.document.location.replace(urlIframe);
    }

  function fncSumarMes (fecha,mes) {
            var fec= fecha.value;
            var docu=document.formRevision;
            var aux=fec.substring(fec.indexOf("/")+1,fec.lastIndexOf("/"));
            var aux2=fec.substring(fec.lastIndexOf("/")+1,fec.length);
            ano=parseInt(aux2,10);
            c=parseInt(aux,10);
            m=parseInt(mes,10);
            d=m/12;
            aux1=Math.floor(d);
            ano=ano+aux1;
            if ((m-(aux1*12))==0){
               aux3=fec.substring(0,fec.indexOf("/"))+"/"+aux+"/"+ano;
               docu.FechaProx.value=aux3;
            }
            else {
             m=c+(m-(aux1*12));
             if (m>12){
               ano++;
               m=m-12;
             }
              aux3=fec.substring(0,fecindexOf("/"))+"/"+m+"/"+ano;
              docu.FechaProx.value=aux3;
            }
    }  // Fin funcion fncSumarMes


function fncValidarFecha(fecha) {
		if (fecha == ""){
			return true;
		}
    	sItem = fecha.split('/');
    	if (sItem.length == 3){
    		nDia  = parseInt(sItem[0], 10);
    		nMes  = parseInt(sItem[1], 10);
    		nAno  = parseInt(sItem[2], 10);
    	}
    	else{
    		sItem = fecha.split('-');
    		if (sItem.length == 3){
    			nDia  = parseInt(sItem[0], 10);
    			nMes  = parseInt(sItem[1], 10);
    			nAno  = parseInt(sItem[2], 10);
    		}
    	}
    	if (sItem.length == 3){
    	if (nDia>=1 && nDia<=31){
    	  if (nMes>=1 && nMes<=12){
    	      if(nAno>=1990){
    	       document.formRevision.Fecha.value=nDia+"/"+nMes+"/"+nAno;
    	       return true;
    	      }
    	      else {
    	           alert(dameAlerta(idioma, 235));
			       document.formRevision.Fecha.value= "";
			       document.formRevision.Fecha.focus();
			       return false;
    	      }

    	  }
    	  else {

    	        alert(dameAlerta(idioma, 235));
			    document.formRevision.Fecha.value= "";
			    document.formRevision.Fecha.focus();
			    return false;
    	  }
    	}
    	else {

    	        alert(dameAlerta(idioma, 235));
			    document.formRevision.Fecha.value= "";
			    document.formRevision.Fecha.focus();
			    return false;
    	}
    }
    else {

    	        alert(dameAlerta(idioma, 235));
			    document.formRevision.Fecha.value= "";
			    document.formRevision.Fecha.focus();
			    return false;
    	}
	} // Fin funcion fncValidarFecha


    function fncSumar(){
         var fec=document.formRevision.Fecha.value;
         var docu=document.formRevision;
         if (docu.Fecha.value!="" &&  docu.RevMes.value!=""){
            if (fncValidarFecha(fec))
                fncSumarMes(docu.Fecha,docu.RevMes.value);
         }
    }


    function CalculaKm(){
        var docu=document.formRevision;
        var i=0;
        if ( docu.Kmrevi.value !="" && docu.Revikm.value!=""){
	         i=parseInt(docu.Kmrevi.value,10);
	         i=i+parseInt(docu.Revikm.value,10);
	         docu.KmProxRevision.value=i;
        }
    }



    function fncBuscar() {
        var doc=document.formRevision;
        doc.action="m05bBuscarRevisionJsp.jsp";
        doc.target="_top";
        doc.submit();
    }  // Fin funcion fncBuscar
    
    function fncGrabar (codigo,accion){
       var doc=document.formRevision;
	   var kRev = parseInt(doc.Kmrevi.value,10);
	   var kmActV = parseInt(doc.KmAct.value,10);
       
       if (doc.Matricula.value == "") {
       	   	   alert(dameAlerta(idioma, 236));
			   return false;       
	   } else if (doc.Fecha.value == "") {
       	   	   alert(dameAlerta(idioma, 237));
			   return false;
	   } else if (doc.KmRevision.value == "") {
       	   	   alert(dameAlerta(idioma, 238));
			   return false;			   
       } else if ( (doc.Realizada.checked == true) && 
       		   ((doc.Fecha.value == "" ) || (doc.KmRevision.value == "" ))  ) {
       	   	   alert(dameAlerta(idioma, 239));
			   return false;
	   } else if (!(comparaFechas(doc.FKmAct.value, doc.Fecha.value )) ) {
		       var msg1 = dameAlerta(idioma, 240);
			   msg1 = msg1.replace("replace1",doc.Fecha.value);
			   msg1 = msg1.replace("replace2",doc.FKmAct.value);
		       alert (msg1);
			   return false;
 	   } else if (kRev < kmActV ) { 
	           var msg2 = dameAlerta(idioma, 241);
			   msg2 = msg2.replace("replace1",kRev);
			   msg2 = msg2.replace("replace2",kmActV);
		       alert (msg2);
	           return false;
	   } else if ((kRev-kmActV)>20000) {
				var msg = dameAlerta(idioma, 226);
				msg = msg.replace("replace1",kmActV);
				msg = msg.replace("replace2",kRev);
				if (!confirm (msg)){
			   			return false;
				}
       } 
       doc.action="m05bGrabarRevisionServlet?Codigo=" + codigo + "&Accion=" + accion;
	   doc.target="_top";
       doc.submit();
    }  // Fin funcion fncGrabar
    
    function fncNuevo(clave){
        var doc= document.formRevision;
        doc.action="m05bRevisionJsp.jsp?Codigo=Nuevo&Clave="+clave;
        doc.target="_top";
        doc.submit();
    }


    function alCargar (matricula,fec,km,kmp,fecp,desc,rea,cod){
      doc= document.formRevision.Matricula;
      d=document.formRevision;
      for (i=0;i<doc.length;i++){
           aux=doc.options[i].value;
           if (aux==matricula){
                  doc.options[i].selected="true";
                  break;
           }
      }
      fncMatricula();
      d.KmRevision.value=km;
      d.Codigo.value=cod;
      d.KmProxRevision.value=kmp;
      d.Descripcion.value=desc;
      d.Fecha.value=fec;
      d.FechaProx.value=fecp;
      if (rea=="-")  {
       		d.Realizada.checked=true;
      }
    }